# PIANUINO

Jouer au jeu "Piano Tiles" depuis un Arduino.

## Installation des dépendances

Une fois le projet Git cloné, il faut installer les dépendances en lançant la commande suivante :

```
npm install
```

Pensez à vous positionner à la racine du projet (là où il y a le package.json)

## Lancement du serveur

Pour lancer l'application, suivez les étapes suivantes :

### Arduino

Dans un premier temps, compiler et lancer le fichier [sketch_piano.ino](sketch_piano/sketch_piano.ino) 
dans le logiciel Arduino.

Il est important de faire cette étape avant la suivante pour ne pas bloquer le port de communication.

### JS Express

Pour lancer le serveur Web, lancez la commande suivante :
    
    node bin/www

Puis, ouvrir le navigateur a l'adresse : [localhost:3000](http://localhost:3000)

## Remarques

### Selection Port COM_X de l'arduino

Pour pouvoir fonctionner, il faut d'abord selectionner le bon port COM dans le fichier index.twig.
Cette information est disponible dans le logiciel Arduino.

### Comit

Des membres du groupe n'ont pas de commit avec leur nom. 
La raison est que nous avons toujours travaillé en groupe sur un/deux ordinateurs portables.
Par conséquent, les commits ont été fait avec le compte Git configuré sur l'ordinateur portable utilisé.

## Auteurs

* Fabien Vimbert (@vf130233)
* Salim Khraimeche (@ks110222)
* Raphael Lefrancois (@lr131160)
* Mickael Irastorza (@im140743)
* Maxime Pinot (@pm152606)

## Licence

Ce programme est sous licence *Do What The Fuck You Want To*. 
Voir le fichier [LICENSE](LICENSE) pour plus de détails.